Summary:	A steganography program
Name:		steghide
Version:	0.5.1
Release:	%mkrel 26
License:	GPLv2+
Group:		Security
URL:		https://steghide.sourceforge.net/
Source0:	%{name}-%{version}.tar.bz2
Patch0:		steghide-0.5.1-gcc34.patch
Patch1:		steghide-0.5.1-gcc4.diff
Patch2:		steghide-0.5.1-passphrase-file.diff
Patch3:		steghide-0.5.1-gcc4_1.diff
Patch4:		steghide-0.5.1-libtool.diff
Patch5:		steghide-0.5.1-gcc43.patch
Patch6:		steghide-0.5.1-automake-1.13.patch
Patch7:		steghide-0.5.1-perl-5.26.patch
Patch8:		steghide-0.5.1-cxxflags.patch
BuildRequires:	autoconf2.5
BuildRequires:	automake
BuildRequires:	doxygen
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	libmcrypt-devel >= 2.5.8
BuildRequires:	libmhash-devel
BuildRequires:	libtool
BuildRequires:	libtool-devel
BuildRequires:	pkgconfig(zlib)

%description
Steghide is a steganography program which embeds a secret message
in a cover file by replacing some of the least significant bits of
the cover file with bits of the secret message. After that, the
secret message is imperceptible and can only be extracted with the
correct passphrase. To increase invisibility the hidden bits are
encrypted (using the blowfish encryption algorithm) and
pseudo-randomly spread in the stego file. Steghide is able to
embed data in BMP, WAV and AU files.

%prep

%setup -q
%patch -P 0 -p0
%patch -P 1 -p1
%patch -P 2 -p1
%patch -P 3 -p0
%patch -P 4 -p1
%patch -P 5 -p1
%patch -P 6 -p1 -b .automake-1_13
%patch -P 7 -p1 -b .perl-5.26
%patch -P 8 -p1 -b .cxxflags

%build
rm -f configure
libtoolize --force --copy --install; aclocal -I m4; autoheader; automake --add-missing --copy -f --foreign; autoconf
#touch NEWS ChangeLog AUTHORS

%configure

%make_build

%check
%__make check

%install
%make_install

# add the html docs
rm -rf html; cp -r doc/doxygen/html .

# fix this
rm -rf %{buildroot}%{_datadir}/doc

%find_lang %{name}

%files -f %{name}.lang
%doc BUGS CREDITS HISTORY INSTALL README TODO html
%{_bindir}/steghide
%{_mandir}/man1/steghide.1*




%changelog
* Sun Dec 22 2024 pterjan <pterjan> 0.5.1-26.mga10
+ Revision: 2128173
- Rebuild for patchN deprecation

* Fri Mar 18 2022 umeabot <umeabot> 0.5.1-25.mga9
+ Revision: 1798423
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.5.1-24.mga8
+ Revision: 1517240
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.5.1-23.mga7
+ Revision: 1301194
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Update macros

* Thu Sep 21 2017 cjw <cjw> 0.5.1-22.mga7
+ Revision: 1156500
- patch8: respect user CXXFLAGS in configure script
- patch7: fix tests with perl 5.26

* Fri Feb 05 2016 umeabot <umeabot> 0.5.1-21.mga6
+ Revision: 937435
- Mageia 6 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 0.5.1-20.mga6
+ Revision: 936988
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.5.1-19.mga5
+ Revision: 750624
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.1-18.mga5
+ Revision: 689538
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.5.1-17.mga4
+ Revision: 519208
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.5.1-16.mga3
+ Revision: 383421
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 10 2013 cjw <cjw> 0.5.1-15.mga3
+ Revision: 344533
- patch6: fix build with automake 1.13

* Mon Oct 29 2012 malo <malo> 0.5.1-14.mga3
+ Revision: 311342
- spec clean-up
- update RPM group

* Sun Jan 09 2011 kharec <kharec> 0.5.1-13.mga3
+ Revision: 1420
- imported package steghide

